=== debian/changelog ===
libcap2 (1:2.32-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: incorrect group name handling
    - debian/patches/CVE-2025-1390-1.patch: fix potential configuration
      parsing error in pam_cap/pam_cap.c.
    - debian/patches/CVE-2025-1390-2.patch: add a test for bad group prefix
      in pam_cap/sudotest.conf.
    - CVE-2025-1390

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 20 Feb 2025 11:01:08 -0500

libcap2 (1:2.32-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: process memory exhaustion in pthread_create()
    - debian/patches/CVE-2023-2602.patch: correct the check of
      pthread_create()'s return value in libcap/psx.c.
    - CVE-2023-2602
  * SECURITY UPDATE: integer overflow in _libcap_strdup()
    - debian/patches/CVE-2023-2603.patch: properly handle large strings in
      libcap/cap_alloc.c.
    - CVE-2023-2603

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 07 Jun 2023 09:02:37 -0400

libcap2 (1:2.32-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
    - Fixes an issue introduced in 2.31 that breaks fakeroot. (Closes: #951492)

 -- Christian Kastner <ckk@debian.org>  Mon, 17 Feb 2020 13:44:20 +0100

libcap2 (1:2.31-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
    - Update symbols file (symbols added)
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Add lintian-override for orig-tarball-missing-upstream-signature

 -- Christian Kastner <ckk@debian.org>  Sun, 09 Feb 2020 14:52:11 +0100
