=== debian/tests/control ===
Tests: executables
Restrictions: needs-root
Depends: libcap2-bin, libc-dev, gcc
