## libcap2 2.43

=== debian/changelog ===
libcap2 (1:2.43-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
    - Drop patches included upstream

 -- Christian Kastner <ckk@debian.org>  Sun, 23 Aug 2020 22:23:14 +0200

libcap2 (1:2.42-2) unstable; urgency=medium

  * New upstream version 2.42
    - Refresh patches
    - Add Move-mkdir-to-common-install-target.patch
  * Drop Debian-specific man page for getpcaps

 -- Christian Kastner <ckk@debian.org>  Fri, 07 Aug 2020 00:14:04 +0200

libcap2 (1:2.36-1) unstable; urgency=medium

  * New upstream version 2.36
    - Drop patches included upstream
      + Syntax-fixes-for-man-pages.patch
      + Avoid-sys-capability.h-on-build-architecture.patch
      + Spelling-fixes.patch
      + pam_cap-Honor-PAM_REINITIALIZE_CRED.patch
      + Fixes-for-man-page-typos.patch

 -- Christian Kastner <ckk@debian.org>  Sat, 20 Jun 2020 23:27:24 +0200

libcap2 (1:2.34-2) unstable; urgency=medium

  * Bump shlibs version to 2.33 (new symbols)
    This was overlooked in the 2.33 release, where only the symbols file was
    updated.

 -- Christian Kastner <ckk@debian.org>  Sat, 16 May 2020 10:20:58 +0200

libcap2 (1:2.34-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
    - Override changed PKGCONFIGDIR in d/rules
    - Drop symbol _cap_names from libcap2.symbols.
      It was never part of the API, and its definition has now been fixed

 -- Christian Kastner <ckk@debian.org>  Wed, 13 May 2020 01:46:31 +0200

libcap2 (1:2.33-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
    - Add new symbols to libcap2.symbols

 -- Christian Kastner <ckk@debian.org>  Fri, 27 Mar 2020 12:58:42 +0100
