=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,19 @@
 #!/usr/bin/make -f
 
 # Pass this as version-info to dh_makeshlibs
-SHLIBS_MINVER = 1:2.26
+SHLIBS_MINVER = 1:2.33
 
 # Exports DEB_{BUILD,HOST}_* flags
 include /usr/share/dpkg/architecture.mk
-# Export DEB_VERSION, among other things
-include /usr/share/dpkg/pkg-info.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Support cross-compiling
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CC := $(DEB_HOST_GNU_TYPE)-gcc
 endif
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-# One upstream target requires the BUILD compiler instead of HOST
+# One upstream target, "_makenames", requires the BUILD compiler instead of HOST
 BUILD_CC ?= cc
 export BUILD_LDFLAGS = $(shell dpkg-architecture -a$(DEB_BUILD_ARCH) -c dpkg-buildflags --get LDFLAGS)
 export BUILD_CPPFLAGS = $(shell dpkg-architecture -a$(DEB_BUILD_ARCH) -c dpkg-buildflags --get CPPFLAGS)
@@ -31,14 +29,16 @@
 
 override_dh_installdirs:
 	dh_installdirs
-
 	# While the PAM module and the library are in /lib, according to the
 	# FHS, development files must go into usr/lib/<triplet>.
 	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 
 
 override_dh_auto_install:
-	dh_auto_install -- lib=lib/$(DEB_HOST_MULTIARCH) RAISE_SETFCAP=no
+	dh_auto_install -- \
+		lib=lib/$(DEB_HOST_MULTIARCH) \
+		PKGCONFIGDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
+		RAISE_SETFCAP=no
 
 	# libcap-dev:
 	#   Move the development files from lib/ to usr/lib. dh_link will
