=== contrib/golang/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
+GO := go
+
 all: posix.go posix-cgo.go
-	CGO_ENABLED=0 go build posix.go
-	go build posix-cgo.go
+	CGO_ENABLED=0 $(GO) build posix.go
+	$(GO) build posix-cgo.go
 
 posix.go: ptest.go posix.stub_go Makefile
 	sed -e '/\/\/ main_here/ r posix.stub_go' ptest.go > $@
