=== debian/changelog ===
libcap2 (1:2.44-1build3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:10:52 +0100

libcap2 (1:2.44-1build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:14:26 +0200

libcap2 (1:2.44-1build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:34:23 +0100

libcap2 (1:2.44-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
  * d/rules: Use new upstream solution for setting -Ox

 -- Christian Kastner <ckk@debian.org>  Wed, 14 Oct 2020 23:49:40 +0200
