=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 
 # Support cross-compiling
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
@@ -18,13 +19,17 @@
 export BUILD_LDFLAGS = $(shell dpkg-architecture -a$(DEB_BUILD_ARCH) -c dpkg-buildflags --get LDFLAGS)
 export BUILD_CPPFLAGS = $(shell dpkg-architecture -a$(DEB_BUILD_ARCH) -c dpkg-buildflags --get CPPFLAGS)
 
+# Upstream's way of setting optimization
+ifneq (,$(filter noopt, $(DEB_BUILD_OPTIONS)))
+COPTS = COPTS=-O0
+endif
 
 %:
 	dh ${@}
 
 
 override_dh_auto_build:
-	dh_auto_build -- CC=$(CC) BUILD_CC=$(BUILD_CC)
+	dh_auto_build -- CC=$(CC) BUILD_CC=$(BUILD_CC) $(COPTS)
 
 
 override_dh_installdirs:
